/******************************************************************************
 * $Id: sfregister.cpp,v 1.2 2001/05/28 19:44:32 warmerda Exp $
 *
 * Project:  OpenGIS Simple Features Reference Implementation
 * Purpose:  Format registration functions..
 * Author:   Ken Shih, kshih@home.com
 *
 ******************************************************************************
 * Copyright (c) 1999, Les Technologies SoftMap Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 ******************************************************************************
 *
 * $Log: sfregister.cpp,v $
 * Revision 1.2  2001/05/28 19:44:32  warmerda
 * added debugging code
 *
 * Revision 1.1  1999/11/22 15:13:18  warmerda
 * New
 *
 */

#include "ogrsf_frmts.h"
#include "cpl_error.h"

/************************************************************************/
/*                        SFRegisterOGRFormats()                        */
/*                                                                      */
/*      Register all the OGR formats we wish to expose through the      */
/*      SFCOM provider.                                                 */
/************************************************************************/
void	SFRegisterOGRFormats()
{
    static bool	bRegistered = false;
    if (bRegistered)
        return;
    bRegistered = true;

    CPLDebug( "OGR_OLEDB", "SFRegisterOGRFormats" );
    OGRRegisterAll();
}
